package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.model.vo.DeviceAttributeVo;
import com.bizmatics.service.DeviceAttributeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 设备属性 前端控制器
 * </p>
 *
 * @author ya
 * @since 2021-09-24
 */
@RestController
@RequestMapping("/deviceAttribute")
public class DeviceAttributeController {
    @Autowired
    private DeviceAttributeService deviceAttributeService;

    /**
     * 站点管理-监控设备-新增
     * @param deviceAttribute
     * @return
     */
    @GetMapping("deviceNewsAdd")
    public ApiResult<Void> deviceNewsAdd(@RequestBody DeviceAttribute deviceAttribute) {
        deviceAttributeService.deviceNewsAdd(deviceAttribute);
        return ApiResult.success();
    }


    /**
     * 站点管理-监控设备-修改
     * @param deviceAttribute
     * @return
     */
    @GetMapping("deviceNewsUpdate")
    public ApiResult<Void> deviceNewsUpdate(@RequestBody DeviceAttribute deviceAttribute) {
        deviceAttributeService.deviceNewsUpdate(deviceAttribute);
        return ApiResult.success();
    }

    /**
     * 站点管理-监控设备-列表查询
     * @param deviceCode 设备编号
     * @param id device_attribute表主键ID
     * @param siteId 点位ID
     * @param deviceType 设备类型
     * @return
     */
    @GetMapping("deviceNewsList")
    public ApiResult <List<DeviceAttributeVo>> deviceNewsList(@RequestParam(required = false) String deviceCode,
                                                              @RequestParam(value = "id", required = false, defaultValue = "0") int id,
                                                              @RequestParam(value = "siteId", required = false, defaultValue = "0") int siteId,
                                                              @RequestParam(value = "deviceType", required = false, defaultValue = "0") int deviceType) {
        return ApiResult.success(deviceAttributeService.deviceNewsList(deviceCode, id, siteId,deviceType));
    }

    /**
     * 站点管理-监控设备-注销
     * @param id
     * @return
     */
    @GetMapping("deviceNewsDel")
    public ApiResult<Void> deviceNewsDel(@RequestParam int id) {
        deviceAttributeService.deviceNewsDel(id);
        return ApiResult.success();
    }
}

