package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备变量列表
 * </p>
 *
 * @author ya
 * @since 2021-09-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DeviceAnalogVariableList implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 变量列表id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 变量名
     */
    private String variableName;

    /**
     * 变量编码
     */
    private String variableCoding;

    /**
     * 监控设备
     */
    private String monitoringEquipment;

    /**
     * 通信设备
     */
    private String communicationEquipment;

    /**
     * 数据地址
     */
    private String dataAddress;

    /**
     * 数据类型
     */
    private String dataType;

    /**
     * 系数
     */
    private Float coefficient;

    /**
     * 存盘周期（分钟）
     */
    private Integer saveCycle;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 1:启用、0：不启用
     */
    private Integer enable;
}
