package com.bizmatics.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.bizmatics.common.core.exception.BusinessException;
import com.bizmatics.model.*;
import com.bizmatics.model.system.SysUser;
import com.bizmatics.model.vo.DeviceAttributeVo;
import com.bizmatics.persistence.mapper.DeviceAttributeMapper;
import com.bizmatics.service.DeviceAttributeService;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.service.DeviceService;
import com.bizmatics.service.enums.DeviceStatusCode;
import com.bizmatics.service.enums.PersonnelType;
import com.bizmatics.service.util.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;

import java.sql.Wrapper;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 设备属性 服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-09-24
 */
@SuppressWarnings("unused")
@Service
public class DeviceAttributeServiceImpl extends AbstractCrudService<DeviceAttributeMapper, DeviceAttribute> implements DeviceAttributeService {

    @Autowired
    private DeviceService deviceService;

    @Override
    public void deviceNewsAdd(DeviceAttribute deviceAttribute) {
//        int deviceCount = 0;
        LambdaQueryWrapper<Device> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(Device::getDeviceCode, deviceAttribute.getMonitoringEquipmentNo());
//        deviceCount=deviceService.count(queryWrapper);
        List<Device> deviceList = deviceService.list(queryWrapper);
        Device DeviceList = (Device) deviceList.get(0);
        SysUser user = SecurityUtils.getLoginUser().getUser();
        deviceAttribute.setEnable(1);
        deviceAttribute.setDeviceId(DeviceList.getId());
        deviceAttribute.setCreator(user.getUserName());
        deviceAttribute.setCreateTime(LocalDateTime.now());
        this.save(deviceAttribute);
    }

    @Override
    public void deviceNewsUpdate(DeviceAttribute deviceAttribute) {
        this.updateById(deviceAttribute);
    }

    @Override
    public List<DeviceAttributeVo> deviceNewsList(String deviceCode, int id, int siteId,int deviceType) {
        List<DeviceAttributeVo> deviceAttributeVoList = null;
        deviceAttributeVoList = baseMapper.deviceList(deviceCode, id, siteId,deviceType);
        return deviceAttributeVoList;
    }

    @Override
    public void deviceNewsDel(int id) {
        DeviceAttribute deviceAttribute = new DeviceAttribute();
        deviceAttribute.setId(id);
        deviceAttribute.setEnable(0);
        this.updateById(deviceAttribute);
    }
}
